Remote Access
9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getTunnel | GET | Get remote access tunnel |
| addTunnel | POST | Create new remote access tunnel |
| deleteTunnel | DELETE | Delete remote access tunnel information |
| editTunnel | PATCH | Modify remote access tunnel information |
| getTunnelsEwebInfo | GET | Get tunnel eweb info |
| getTunnelStatus | GET | Get remote access tunnel's status |
| modifyTunnel | PATCH | Enable/Disable remote access tunnel |
| getSingleDeviceTunnel | GET | Get single device tunnel |
| getTunnelsStatus | GET | Get all remote access tunnel's status |
getTunnel
GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel
Get remote access tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getTunnel",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get remote access tunnel
The interface requires one of the permissions:
Site Tools Manager View Only
Site Tools Manager View Only
addTunnel
POST /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel
Create new remote access tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema NatTraversalTunnelOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the remote access tunnel. |
localAddress | string | yes | IP address of the local target device. |
localPort | integer | yes | Port of the local target device's service. |
duration | integer | no | Valid duration time of the remote access tunnel, 1-24 hours. |
appType | string | yes | App type of the remote access tunnel for the local target device. HTTP, HTTPS, SSH, TELNET. |
openStatus | boolean | no | If open the remote access tunnel after create. |
localMac | string | no | Mac of the local target device. |
clientManager | boolean | no | Client's manager of the remote access tunnel for the client. |
clientName | string | no | Client's name of the remote access tunnel for the client. |
clientDeviceType | string | no | Client's type of the remote access tunnel for the client. |
clientModel | string | no | Client's model of the remote access tunnel for the client. |
tunnelEntryType | integer | no | Entry of the remote access tunnel.1: custom tunnel 2: device tunnel 3:device detail 4:client detail |
autoLogin | boolean | no | If the remote access tunnel enabled auto login. true: Auto login is enabled; false: Auto login is disabled. |
// omada_call_operation
{
"operationId": "addTunnel",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new remote access tunnel
The interface requires one of the permissions:
Site Tools Manager Modify
Site Tools Manager Modify
deleteTunnel
DELETE /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}
Delete remote access tunnel information
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tunnelId | path | string | yes | Remote access tunnel ID |
// omada_call_operation
{
"operationId": "deleteTunnel",
"params": {
"siteId": "<siteId>",
"tunnelId": "<tunnelId>"
}
}Details, permissions and error codes
Delete new remote access tunnel information
The interface requires one of the permissions:
Site Tools Manager Modify
Site Tools Manager Modify
editTunnel
PATCH /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}
Modify remote access tunnel information
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tunnelId | path | string | yes | Remote access tunnel ID |
Request body — application/json (required) — schema NatTraversalTunnelModifyOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Name of the remote access tunnel. |
localAddress | string | no | IP address of the local target device. |
localPort | integer | no | Port of the local target device's service. |
duration | integer | no | Valid duration time of the remote access tunnel, 1-24 hours. |
appType | string | yes | App type of the remote access tunnel for the local target device. HTTP, HTTPS, SSH, TELNET. |
openStatus | boolean | no | If open the remote access tunnel after create. |
localMac | string | no | Mac of the local target device. |
clientManager | boolean | no | Client's manager of the remote access tunnel for the client. |
clientName | string | no | Client's name of the remote access tunnel for the client. |
clientDeviceType | string | no | Client's type of the remote access tunnel for the client. |
clientModel | string | no | Client's model of the remote access tunnel for the client. |
tunnelEntryType | integer | no | Entry of the remote access tunnel.1: custom tunnel 2: device tunnel 3:device detail 4:client detail |
autoLogin | boolean | no | If the remote access tunnel enabled auto login. true: Auto login is enabled; false: Auto login is disabled. |
// omada_call_operation
{
"operationId": "editTunnel",
"params": {
"siteId": "<siteId>",
"tunnelId": "<tunnelId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify remote access tunnel information
The interface requires one of the permissions:
Site Tools Manager Modify
Site Tools Manager Modify
getTunnelsEwebInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}/ewebInfo
Get tunnel eweb info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tunnelId | path | string | yes | Remote access tunnel ID |
// omada_call_operation
{
"operationId": "getTunnelsEwebInfo",
"params": {
"siteId": "<siteId>",
"tunnelId": "<tunnelId>"
}
}Details, permissions and error codes
Get tunnel eweb info
The interface requires one of the permissions:
Site Tools Manager View Only
getTunnelStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}/status
Get remote access tunnel's status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tunnelId | path | string | yes | Remote access tunnel ID |
// omada_call_operation
{
"operationId": "getTunnelStatus",
"params": {
"siteId": "<siteId>",
"tunnelId": "<tunnelId>"
}
}Details, permissions and error codes
Get remote access tunnel's status
The interface requires one of the permissions:
Site Tools Manager View Only
modifyTunnel
PATCH /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}/status
Enable/Disable remote access tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tunnelId | path | string | yes | Remote access tunnel ID |
Request body — application/json (required) — schema NatTraversalTunnelOpenVO
| Field | Type | Required | Description |
|---|---|---|---|
openStatus | boolean | no | Enable/Disable existing remote access tunnel. True: Enable, False: Disable |
// omada_call_operation
{
"operationId": "modifyTunnel",
"params": {
"siteId": "<siteId>",
"tunnelId": "<tunnelId>"
},
"body": "{...}"
}Details, permissions and error codes
Enable/Disable remote access tunnel
The interface requires one of the permissions:
Site Tools Manager Modify
Site Tools Manager Modify
getSingleDeviceTunnel
GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/deviceTunnel/{localMac}
Get single device tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
localMac | path | string | yes | Mac of the local target device |
// omada_call_operation
{
"operationId": "getSingleDeviceTunnel",
"params": {
"siteId": "<siteId>",
"localMac": "<localMac>"
}
}Details, permissions and error codes
Get single device tunnel
The interface requires one of the permissions:
Site Tools Manager View Only
getTunnelsStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/status
Get all remote access tunnel's status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getTunnelsStatus",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get all remote access tunnel's status
The interface requires one of the permissions:
Site Tools Manager View Only
Site Tools Manager View Only